Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_NS_ETCL_Filter Class Reference

`#include <ETCL_Filter.h>`

Collaboration diagram for TAO_NS_ETCL_Filter:

[legend]
List of all members.

## Public Methods
| TAO_NS_ETCL_Filter (void)
| Constuctor. More...
| ~TAO_NS_ETCL_Filter ()
| Destructor. More...
## Protected Methods
virtual char * | constraint_grammar (ACE_ENV_SINGLE_ARG_DECL) throw ( CORBA::SystemException )
virtual CosNotifyFilter::ConstraintInfoSeq * | add_constraints (const CosNotifyFilter::ConstraintExpSeq &constraint_list ACE_ENV_ARG_DECL) throw ( CORBA::SystemException, CosNotifyFilter::InvalidConstraint )
virtual void | modify_constraints (const CosNotifyFilter::ConstraintIDSeq &del_list, const CosNotifyFilter::ConstraintInfoSeq &modify_list ACE_ENV_ARG_DECL) throw ( CORBA::SystemException, CosNotifyFilter::InvalidConstraint, CosNotifyFilter::ConstraintNotFound )
virtual CosNotifyFilter::ConstraintInfoSeq * | get_constraints (const CosNotifyFilter::ConstraintIDSeq &id_list ACE_ENV_ARG_DECL) throw ( CORBA::SystemException, CosNotifyFilter::ConstraintNotFound )
virtual CosNotifyFilter::ConstraintInfoSeq * | get_all_constraints (ACE_ENV_SINGLE_ARG_DECL) throw ( CORBA::SystemException )
virtual void | remove_all_constraints (ACE_ENV_SINGLE_ARG_DECL) throw ( CORBA::SystemException )
virtual void | destroy (ACE_ENV_SINGLE_ARG_DECL) throw ( CORBA::SystemException )
virtual CORBA::Boolean | match (const CORBA::Any &filterable_data ACE_ENV_ARG_DECL) throw ( CORBA::SystemException, CosNotifyFilter::UnsupportedFilterableData )
virtual CORBA::Boolean | match_structured (const CosNotification::StructuredEvent &filterable_data ACE_ENV_ARG_DECL) throw ( CORBA::SystemException, CosNotifyFilter::UnsupportedFilterableData )
virtual CORBA::Boolean | match_typed (const CosNotification::PropertySeq &filterable_data ACE_ENV_ARG_DECL) throw ( CORBA::SystemException, CosNotifyFilter::UnsupportedFilterableData )
virtual CosNotifyFilter::CallbackID | attach_callback (CosNotifyComm::NotifySubscribe_ptr callback ACE_ENV_ARG_DECL) throw ( CORBA::SystemException )
virtual void | detach_callback (CosNotifyFilter::CallbackID callback ACE_ENV_ARG_DECL) throw ( CORBA::SystemException, CosNotifyFilter::CallbackNotFound )
virtual CosNotifyFilter::CallbackIDSeq * | get_callbacks (ACE_ENV_SINGLE_ARG_DECL) throw ( CORBA::SystemException )
## Private Types
typedef ACE_Hash_Map_Iterator< CosNotifyFilter::ConstraintID, ACE_NESTED_CLASS(TAO_NS_ETCL_Filter, TAO_NS_Constraint_Expr *), TAO_SYNCH_MUTEX | CONSTRAINT_EXPR_LIST_ITER )
typedef ACE_Hash_Map_Entry< CosNotifyFilter::ConstraintID, ACE_NESTED_CLASS(TAO_NS_ETCL_Filter, TAO_NS_Constraint_Expr *) | CONSTRAINT_EXPR_ENTRY )
## Private Methods
void | add_constraints_i (const CosNotifyFilter::ConstraintInfoSeq &constraint_info_seq ACE_ENV_ARG_DECL) throw ( CORBA::SystemException, CosNotifyFilter::InvalidConstraint )
## Private Attributes
ACE_Atomic_Op< TAO_SYNCH_MUTEX, CORBA::Long > | constraint_expr_ids_
| Id generator for ConstraintInfo's. More...
ACE_Hash_Map_Manager< CosNotifyFilter::ConstraintID, ACE_NESTED_CLASS(TAO_NS_ETCL_Filter, TAO_NS_Constraint_Expr *), TAO_SYNCH_MUTEX | constraint_expr_list_ )
| A list of the constraints stored in this filter. More...

## Member Typedef Documentation

typedef ACE_Hash_Map_Entry<CosNotifyFilter::ConstraintID, ACE_NESTED_CLASS (TAO_NS_ETCL_Filter, TAO_NS_Constraint_Expr*) TAO_NS_ETCL_Filter::CONSTRAINT_EXPR_ENTRY)`[private]`

typedef ACE_Hash_Map_Iterator<CosNotifyFilter::ConstraintID, ACE_NESTED_CLASS (TAO_NS_ETCL_Filter, TAO_NS_Constraint_Expr*), TAO_SYNCH_MUTEX TAO_NS_ETCL_Filter::CONSTRAINT_EXPR_LIST_ITER)`[private]`

## Constructor & Destructor Documentation

TAO_NS_ETCL_Filter::TAO_NS_ETCL_Filter | ( | void |  | ) |

| Constuctor.

TAO_NS_ETCL_Filter::~TAO_NS_ETCL_Filter | ( |  | ) |

| Destructor.

## Member Function Documentation

CosNotifyFilter::ConstraintInfoSeq * TAO_NS_ETCL_Filter::add_constraints | ( | const CosNotifyFilter::ConstraintExpSeq &constraint_list | ACE_ENV_ARG_DECL | ) | throw ( CORBA::SystemException, CosNotifyFilter::InvalidConstraint )`[protected, virtual]`

void TAO_NS_ETCL_Filter::add_constraints_i | ( | const CosNotifyFilter::ConstraintInfoSeq &constraint_info_seq | ACE_ENV_ARG_DECL | ) | throw ( CORBA::SystemException, CosNotifyFilter::InvalidConstraint )`[private]`

CosNotifyFilter::CallbackID TAO_NS_ETCL_Filter::attach_callback | ( | CosNotifyComm::NotifySubscribe_ptr | ACE_ENV_ARG_DECL | ) | throw ( CORBA::SystemException )`[protected, virtual]`

char * TAO_NS_ETCL_Filter::constraint_grammar | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | throw ( CORBA::SystemException )`[protected, virtual]`

void TAO_NS_ETCL_Filter::destroy | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | throw ( CORBA::SystemException )`[protected, virtual]`

void TAO_NS_ETCL_Filter::detach_callback | ( | CosNotifyFilter::CallbackID | ACE_ENV_ARG_DECL | ) | throw ( CORBA::SystemException, CosNotifyFilter::CallbackNotFound )`[protected, virtual]`

CosNotifyFilter::ConstraintInfoSeq * TAO_NS_ETCL_Filter::get_all_constraints | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | throw ( CORBA::SystemException )`[protected, virtual]`

CosNotifyFilter::CallbackIDSeq * TAO_NS_ETCL_Filter::get_callbacks | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | throw ( CORBA::SystemException )`[protected, virtual]`

CosNotifyFilter::ConstraintInfoSeq * TAO_NS_ETCL_Filter::get_constraints | ( | const CosNotifyFilter::ConstraintIDSeq &id_list | ACE_ENV_ARG_DECL | ) | throw ( CORBA::SystemException, CosNotifyFilter::ConstraintNotFound )`[protected, virtual]`

virtual CORBA::Boolean TAO_NS_ETCL_Filter::match | ( | const CORBA::Any &filterable_data | ACE_ENV_ARG_DECL | ) | throw ( CORBA::SystemException, CosNotifyFilter::UnsupportedFilterableData )`[protected, virtual]`

CORBA::Boolean TAO_NS_ETCL_Filter::match_structured | ( | const CosNotification::StructuredEvent &filterable_data | ACE_ENV_ARG_DECL_NOT_USED | ) | throw ( CORBA::SystemException, CosNotifyFilter::UnsupportedFilterableData )`[protected, virtual]`

virtual CORBA::Boolean TAO_NS_ETCL_Filter::match_typed | ( | const CosNotification::PropertySeq &filterable_data | ACE_ENV_ARG_DECL | ) | throw ( CORBA::SystemException, CosNotifyFilter::UnsupportedFilterableData )`[protected, virtual]`

void TAO_NS_ETCL_Filter::modify_constraints | ( | const CosNotifyFilter::ConstraintIDSeq & | del_list,
|  | const CosNotifyFilter::ConstraintInfoSeq &modify_list | ACE_ENV_ARG_DECL
| ) | throw ( CORBA::SystemException, CosNotifyFilter::InvalidConstraint, CosNotifyFilter::ConstraintNotFound )`[protected, virtual]`

void TAO_NS_ETCL_Filter::remove_all_constraints | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | throw ( CORBA::SystemException )`[protected, virtual]`

## Member Data Documentation

ACE_Atomic_Op<TAO_SYNCH_MUTEX, CORBA::Long> TAO_NS_ETCL_Filter::constraint_expr_ids_`[private]`

| Id generator for ConstraintInfo's.

ACE_Hash_Map_Manager<CosNotifyFilter::ConstraintID, ACE_NESTED_CLASS (TAO_NS_ETCL_Filter, TAO_NS_Constraint_Expr*), TAO_SYNCH_MUTEX TAO_NS_ETCL_Filter::constraint_expr_list_)`[private]`

| A list of the constraints stored in this filter.

The documentation for this class was generated from the following files:

- ETCL_Filter.h
- ETCL_Filter.cpp